Bug 614898 - remote configuration - value defined elsewhere in the pool
Summary: remote configuration - value defined elsewhere in the pool
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils   
(Show other bugs)
Version: Development
Hardware: All Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Robert Rati
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 14:11 UTC by Lubos Trilety
Modified: 2010-10-20 11:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubos Trilety 2010-07-15 14:11:23 UTC
Description of problem:
Functionality for using the value defined elsewhere in the pool doesn't work.

Version-Release number of selected component (if applicable):
wallaby-0.6.1-2

How reproducible:
100%

Steps to Reproduce:
1. create a new parameter with empty default value
2. create a new feature which contains the parameter from step 1. with some value given
3. create another feature with the same parameter but don't fill any value
4. Answer 'y' to the question 
   Use a value for "parameter" defined elsewhere in the pool configuration? [Y/n]

Actual results:
When the second feature is listed no value is there for the parameter from first step

Expected results:
Both features should have the same value for that parameter

Additional info:

Comment 1 Robert Rati 2010-07-21 15:33:34 UTC
The value of the param is decided by the order the features are applied to the node.  When setting a value on a feature with no value, the prompt is really asking if you want the default value for that parameter for that feature.  The message has been changed to ask the user if they want the default value.

Fixed in:
condor-wallaby-3.2-1

Comment 2 Lubos Trilety 2010-08-12 13:26:01 UTC
Tested with (version):
condor-wallaby-tools-3.3-1

Tested on:
RHEL5 x86_64,i386  - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.